Bug 100868 - [BlackBerry] Adding window.external to our port
Summary: [BlackBerry] Adding window.external to our port
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-31 11:08 PDT by otcheung
Modified: 2012-11-06 10:25 PST (History)
6 users (show)

See Also:


Attachments
Patch (13.01 KB, patch)
2012-10-31 11:22 PDT, otcheung
no flags Details | Formatted Diff | Diff
Patch (16.06 KB, patch)
2012-10-31 11:30 PDT, otcheung
no flags Details | Formatted Diff | Diff
Patch (1.92 KB, patch)
2012-11-02 07:28 PDT, otcheung
no flags Details | Formatted Diff | Diff
Patch (1.64 KB, patch)
2012-11-06 07:50 PST, otcheung
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description otcheung 2012-10-31 11:08:38 PDT
Adding the window.external interface to the blackberry port.
Comment 1 otcheung 2012-10-31 11:22:05 PDT
Created attachment 171692 [details]
Patch
Comment 2 otcheung 2012-10-31 11:30:51 PDT
Created attachment 171695 [details]
Patch
Comment 3 Rob Buis 2012-10-31 11:35:02 PDT
Comment on attachment 171695 [details]
Patch

LGTM
Comment 4 WebKit Review Bot 2012-10-31 16:27:26 PDT
Comment on attachment 171695 [details]
Patch

Clearing flags on attachment: 171695

Committed r133094: <http://trac.webkit.org/changeset/133094>
Comment 5 WebKit Review Bot 2012-10-31 16:27:30 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 otcheung 2012-11-02 07:28:55 PDT
Reopening to attach new patch.
Comment 7 otcheung 2012-11-02 07:28:59 PDT
Created attachment 172058 [details]
Patch
Comment 8 Rob Buis 2012-11-02 07:39:37 PDT
Comment on attachment 172058 [details]
Patch

Ok.
Comment 9 WebKit Review Bot 2012-11-02 10:47:18 PDT
Comment on attachment 172058 [details]
Patch

Clearing flags on attachment: 172058

Committed r133314: <http://trac.webkit.org/changeset/133314>
Comment 10 WebKit Review Bot 2012-11-02 10:47:24 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 otcheung 2012-11-06 07:50:30 PST
Reopening to attach new patch.
Comment 12 otcheung 2012-11-06 07:50:33 PST
Created attachment 172587 [details]
Patch
Comment 13 Rob Buis 2012-11-06 07:54:48 PST
Comment on attachment 172587 [details]
Patch

LGTM.
Comment 14 WebKit Review Bot 2012-11-06 10:25:29 PST
Comment on attachment 172587 [details]
Patch

Clearing flags on attachment: 172587

Committed r133634: <http://trac.webkit.org/changeset/133634>
Comment 15 WebKit Review Bot 2012-11-06 10:25:33 PST
All reviewed patches have been landed.  Closing bug.